*
* READER.PRG  6/10/99
*
* Visual FoxPro "READER" program (for SEE 3.0)
*
* This program logs onto POP3 server 'Pop3Server' and downloads 
* message number 'MsgNbr' into directory 'EmailDir' as a file named
* 'EmailName'. Any attachment is downloaded into directory 'AttachDir'.
*
* IMPORTANT: The FoxPro INCLUDE directive is very quirky!
*   We recommend that you replace the two INCLUDES with their contents.
*

#INCLUDE SEE32.FOX
#INCLUDE KEYCODE.FOX
    
Pop3Server = SPACE(20)
Pop3UserName = SPACE(20)
Pop3Password = SPACE(20)
EmailName = SPACE(20)
EmailDir = SPACE(50)
AttachDir = SPACE(50)
Buffer = SPACE(1000)
Temp = SPACE(128)

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
Pop3Server = "10.0.0.1"
Pop3UserName = "mike"
Pop3Password  = "mike" 
DiagFile = "C:\TEMP\reader.log"
* Note 1: do NOT use pathname in EmailName
EmailName = "email.txt"
* Note 2: use full path names unless file is located in FoxPro directory
EmailDir = "C:\TEMP"
AttachDir = "C:\TEMP"
*** END PROGRAMMER ***

? "READER 05/22/99" 
Code = seeAttach(1, SEE_KEY_CODE)
Code = seeStringParam(0,SEE_LOG_FILE, @DiagFile) 
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
* connect to POP3 server 
? "Connecting to " + Pop3Server
Code = seePop3Connect(0, @Pop3Server, @Pop3UserName, @Pop3Password)  
if Code < 0
  Code = seeErrorText(0, Code, @Buffer, 128)
  ? Left(Buffer,Code)
else
  * get # messages waiting  
  ? "Getting message status..."
  NbrMessages = seeGetEmailCount(0)                  
  if NbrMessages < 0
    Code = seeErrorText(0, NbrMessages, @Buffer, 128)
    ? Left(Buffer,Code) 
  else  
    ? NbrMessages," messages waiting."
    If NbrMessages = 0 
      Code = seeClose(0)
      Code = seeRelease()
      return
    Endif
    ? "Enter message # to read (and delete):" 
    MsgNbr = AcceptInteger()
    If (MsgNbr>0) And (MsgNbr <= NbrMessages) 
      ? "Reading Message ", LTRIM(STR(MsgNbr)), ", please wait..."
      Code = seeGetEmailFile(0, MsgNbr, @EmailName, @EmailDir, @AttachDir)
      if Code < 0
        Code = seeErrorText(0, Code, @Buffer, 128)
        ? Left(Buffer,Code)
        Code = seeClose(0)
        Code = seeRelease()
        return
      endif
      ? "Saved as ", LTRIM(EmailName)
      * deleting message from server
      Code = seeDeleteEmail(0, MsgNbr)
      ? "Message ",  LTRIM(STR(MsgNbr)), " deleted from server."
    endif  
  else
    ? "No such message"
  endif
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return

Function AcceptInteger() 
Value = 0
DO While Value >= 0
  X = InKey(0)
  ?? Chr(X)
  If (X >= Asc("0")) And (X <= Asc("9"))
    Value = 10 * Value + (X - Asc("0"))
  else
    exit
  endif
Enddo
return Value
